#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

GV_CONFIG_DIR=/opt/ibm/director/data/ufm
GV_OVERRIDE=$GV_CONFIG_DIR/gv_override.cfg
DB_PROPERTIES=/opt/ibm/director/lwi/conf/overrides/database.properties

set -x 

cp $GV_OVERRIDE $GV_OVERRIDE.bak
sed '/^db2.dbpassword/d' $GV_OVERRIDE.bak > $GV_OVERRIDE

awk '
/^rcs.dbpassword/ { print "db2.dbpassword = "$3 >> file } 
' file=$GV_OVERRIDE $DB_PROPERTIES

exit 0

